# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit myth-svn

DESCRIPTION="DVD player module for MythTV."
HOMEPAGE="http://www.mythtv.org/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="transcode vcd"

RDEPEND=">=media-plugins/mythvideo-svn-${PV}*
	media-libs/libdvdread
	|| ( ~media-tv/mythtv-svn-${PV} ~media-tv/mythfrontend-svn-${PV} )
	!media-plugins/mythdvd
	!media-plugins/mythdvd-cvs"

DEPEND=">=sys-apps/sed-4
	${RDEPEND}"

RDEPEND="${RDEPEND}
	 transcode? ( media-video/transcode )
	 || ( media-video/mplayer media-video/xine-ui media-video/ogle )"

setup_pro() {
#	myconf="${myconf} $(use_enable vcd)"
#	myconf="${myconf} $(use_enable transcode)"
	return 0
}

src_compile() {
	myconf="--enable-vcd $(use_enable transcode)"

	myth-svn_src_compile || die "failed to compile"
}

