# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit myth-svn

DESCRIPTION="Gallery and slideshow module for MythTV."
HOMEPAGE="http://www.mythtv.org/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="opengl exif"

DEPEND=">=sys-apps/sed-4
	opengl? ( virtual/opengl )
	exif? ( media-libs/libexif )
	media-libs/tiff
	|| ( ~media-tv/mythtv-svn-${PV} ~media-tv/mythfrontend-svn-${PV} )
	!media-plugins/mythgallery
	!media-plugins/mythgallery-cvs"

setup_pro() {
	myconf="${myconf} $(use_enable exif)"
	myconf="${myconf} $(use_enable opengl)"
}
